Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.mcu
Class ATMega128L.SimImpl.Timer0

    java.lang.Object
      avrora.sim.mcu.ATMega128L.SimImpl.Timer0

Enclosing class:
  ATMega128L.SimImpl

protected class ATMega128L.SimImpl.Timer0
extends java.lang.Object

The `Timer0` class emulates the functionality and behavior of the 8-bit timer on the Atmega128L. It has several control and data registers and can fire two different interrupts depending on the mode that it has been put into.

Nested Class Summary
`protected class` | `ATMega128L.SimImpl.Timer0.ControlRegister`
`protected class` | `ATMega128L.SimImpl.Timer0.Ticker` The `Ticker implements the periodic behavior of the timer.`

Field Summary
`static int` | `BOTTOM`
`static int` | `MAX`
`static int` | `MODE_CTC`
`static int` | `MODE_FASTPWM`
`static int` | `MODE_NORMAL`
`static int` | `MODE_PWM`

Constructor Summary
`protected` | `ATMega128L.SimImpl.Timer0(State ns)`

Method Summary
`protected void` | `compareMatch()`
`protected void` | `overflow()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODE_NORMAL

    public static final int MODE_NORMAL

See Also:
  Constant Field Values

### MODE_PWM

    public static final int MODE_PWM

See Also:
  Constant Field Values

### MODE_CTC

    public static final int MODE_CTC

See Also:
  Constant Field Values

### MODE_FASTPWM

    public static final int MODE_FASTPWM

See Also:
  Constant Field Values

### MAX

    public static final int MAX

See Also:
  Constant Field Values

### BOTTOM

    public static final int BOTTOM

See Also:
  Constant Field Values

Constructor Detail

### ATMega128L.SimImpl.Timer0

    protected ATMega128L.SimImpl.Timer0(State ns)

Method Detail

### compareMatch

    protected void compareMatch()

### overflow

    protected void overflow()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD